## org.eclipse.uml2.uml.edit.providers
Class UMLReflectiveItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory
              org.eclipse.uml2.uml.edit.providers.UMLReflectiveItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class UMLReflectiveItemProviderAdapterFactory

extends org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory
`changeNotifier, parentAdapterFactory, reflectiveItemProviderAdapter, supportedTypes`

Constructor Summary
`UMLReflectiveItemProviderAdapterFactory()`

Method Summary

Methods inherited from class org.eclipse.emf.edit.provider.ReflectiveItemProviderAdapterFactory
`adapt, adapt, addListener, createAdapter, dispose, fireNotifyChanged, getRootAdapterFactory, isFactoryForType, removeListener, setParentAdapterFactory`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### UMLReflectiveItemProviderAdapterFactory

    public UMLReflectiveItemProviderAdapterFactory()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.